<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

class AuthController extends Controller
{

    public function index()
    {
        try {
            return view('guest.login');
        } catch (\Exception $e) {
            abort(404);
        }
    }

    public function login(Request $request)
    {
        try {
            if (Auth::attempt($request->only('email', 'password'), true)) {
                $request->session()->regenerate();

                return redirect()->intended('/stats');
            }

            throw new \Exception('Invalid email or password');
        } catch (\Exception $e) {
            return redirect()->back()->onlyInput('email')->with([
                'error' => 'Invalid email or password'
            ]);
        }
    }
}
