<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Http;

class PaymentController extends Controller
{

    public function refund($iso, $passport)
    {
        try {
            $country = config('countries')[strtoupper($iso)];

            if (!$country) {
                throw new \Exception('Country not found');
            }

            $response = Http::get($country['url'] . '/api/document/passport/' . $passport);
            $documents = $response->successful() ? $response->json()["documents"] : [];

            $documentsKeys = array_map(function ($document) {
                return $document["key"];
            }, $documents);

            foreach ($documentsKeys as $documentKey) {
                try {
                    $response = Http::post($country['url'] . '/api/payment/refund/document/' . $documentKey);
                } catch (\Exception $e) {
                    continue;
                }
            }

            return response()->json($documentsKeys);
        } catch (\Exception $e) {
            abort(404);
        }
    }
}
