<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class A extends Component
{
    public $href;
    public $id;
    public $label;
    public $name;
    public $variant;

    /**
     * Create a new component instance.
     */
    public function __construct(
        $href = '',
        $id = null,
        $label = 'Submit',
        $name = '',
        $variant = 'primary',
    ) {
        $this->href = $href;
        $this->id = $id ?: $name;
        $this->label = $label;
        $this->name = $name;
        $this->variant = $variant;
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.a');
    }
}