<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class Button extends Component
{
    public $disabled;
    public $id;
    public $label;
    public $name;
    public $type;
    public $variant;

    /**
     * Create a new component instance.
     */
    public function __construct(
        $disabled = false,
        $id = null,
        $label = 'Submit',
        $name = '',
        $type = 'button',
        $variant = 'primary',
    ) {
        $this->disabled = $disabled;
        $this->id = $id ?: $name;
        $this->label = $label;
        $this->name = $name;
        $this->type = $type;
        $this->variant = $variant;
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.button');
    }
}