<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class Input extends Component
{
    public $error;
    public $id;
    public $label;
    public $name;
    public $placeholder;
    public $type;
    public $value;

    /**
     * Create a new component instance.
     */
    public function __construct(
        $error = '',
        $id = null,
        $label = '',
        $name = '',
        $placeholder = '',
        $type = 'text',
        $value = '',
    ) {
        $this->error = $error;
        $this->id = $id ?: $name;
        $this->label = $label;
        $this->name = $name;
        $this->placeholder = $placeholder;
        $this->type = $type;
        $this->value = $value;
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.input');
    }
}
