@php
    $variantClasses = [
        'primary' => 'bg-blue-500 text-white border-transparent hover:bg-blue-600 focus:ring-blue-500',
        'secondary' => 'bg-gray-100 text-gray-800 border-gray-300 hover:bg-gray-200 focus:ring-gray-400',
        'green' => 'bg-green-500 text-white border-transparent hover:bg-green-600 focus:ring-green-500',
    ];

    $disabledClasses = 'bg-gray-300 text-gray-700 cursor-not-allowed';
    $activeClasses = $disabled ? $disabledClasses : $variantClasses[$variant] ?? $variantClasses['primary'];
@endphp

<button id="{{ $id }}" name="{{ $name }}" type="{{ $type }}" @class([
    'inline-flex items-center px-8 py-4 border text-base font-medium rounded-md shadow-sm transition duration-300 ease-in focus:outline-none focus:ring-2 focus:ring-offset-2',
    $activeClasses,
])
    @if ($disabled) disabled @endif>
    {{ $label }}
</button>
