@php
    if (!$error && $errors->has($name)) {
        $error = $errors->first($name);
    }
@endphp

<div class="mb-6">
    <label for="{{ $id }}" @class([
        'block mb-2 font-semibold',
        'text-red-600' => $error,
        'text-gray-800' => !$error,
    ])>
        {{ $label }}
    </label>

    <input id="{{ $id }}" name="{{ $name }}" type="{{ $type }}" placeholder="{{ $placeholder }}"
        value="{{ old($name, $value) }}" aria-invalid="{{ $error ? 'true' : 'false' }}"
        aria-describedby="{{ $error ? $id . '-error' : '' }}" @class([
            'block w-full bg-gray-50 p-4 border text-base rounded-md shadow-sm transition ease-in',
            'border-gray-300 text-gray-900 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:border-transparent'
        ])>

    @if ($error)
        <p id="{{ $id }}-error" class="mt-2 text-sm text-red-600">
            {{ $error }}
        </p>
    @endif
</div>
