<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>@yield('title', 'Panel')</title>

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <!-- Styles -->
    @vite('resources/css/app.css')

    @stack('styles')
</head>

<body class="bg-gray-100 leading-normal tracking-normal">
    <div id="app" class="min-h-screen flex flex-col">
        <!-- Content -->
        <main class="flex-grow container mx-auto px-4">
            @yield('content')
        </main>
    </div>

    <!-- Scripts -->
    @vite('resources/js/app.js')

    @stack('scripts')

    <script>
        document.addEventListener("DOMContentLoaded", () => {
            // Show errors
            @if ($errors->any())
                Swal.fire({
                    icon: 'error',
                    text: "Some data is incorrect, please check before proceeding.",
                    confirmButtonColor: '#3b82f6',
                });
            @endif

            @if (session()->has('error'))
                Swal.fire({
                    icon: 'error',
                    text: "{{ session('error') }}",
                    confirmButtonColor: '#3b82f6',
                });
            @endif
        });
    </script>
</body>

</html>
