<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php echo $__env->yieldContent('title', 'Panel'); ?></title>

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- Styles -->
    <?php echo app('Illuminate\Foundation\Vite')('resources/css/app.css'); ?>

    <?php echo $__env->yieldPushContent('styles'); ?>
</head>

<body class="bg-gray-100 leading-normal tracking-normal">
    <div id="app" class="min-h-screen flex flex-col">
        <!-- Content -->
        <main class="flex-grow container mx-auto px-4">
            <?php echo $__env->yieldContent('content'); ?>
        </main>
    </div>

    <!-- Scripts -->
    <?php echo app('Illuminate\Foundation\Vite')('resources/js/app.js'); ?>

    <?php echo $__env->yieldPushContent('scripts'); ?>

    <script>
        document.addEventListener("DOMContentLoaded", () => {
            // Show errors
            <?php if($errors->any()): ?>
                Swal.fire({
                    icon: 'error',
                    text: "Some data is incorrect, please check before proceeding.",
                    confirmButtonColor: '#3b82f6',
                });
            <?php endif; ?>

            <?php if(session()->has('error')): ?>
                Swal.fire({
                    icon: 'error',
                    text: "<?php echo e(session('error')); ?>",
                    confirmButtonColor: '#3b82f6',
                });
            <?php endif; ?>
        });
    </script>
</body>

</html>
<?php /**PATH /home/jssvisa/public_html/panel.jssvisa.com/resources/views/layouts/base.blade.php ENDPATH**/ ?>