<?php
    if (!$error && $errors->has($name)) {
        $error = $errors->first($name);
    }
?>

<div class="mb-6">
    <label for="<?php echo e($id); ?>" class="<?php echo \Illuminate\Support\Arr::toCssClasses([
        'block mb-2 font-semibold',
        'text-red-600' => $error,
        'text-gray-800' => !$error,
    ]); ?>">
        <?php echo e($label); ?>

    </label>

    <input id="<?php echo e($id); ?>" name="<?php echo e($name); ?>" type="<?php echo e($type); ?>" placeholder="<?php echo e($placeholder); ?>"
        value="<?php echo e(old($name, $value)); ?>" aria-invalid="<?php echo e($error ? 'true' : 'false'); ?>"
        aria-describedby="<?php echo e($error ? $id . '-error' : ''); ?>" class="<?php echo \Illuminate\Support\Arr::toCssClasses([
            'block w-full bg-gray-50 p-4 border text-base rounded-md shadow-sm transition ease-in',
            'border-gray-300 text-gray-900 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:border-transparent'
        ]); ?>">

    <?php if($error): ?>
        <p id="<?php echo e($id); ?>-error" class="mt-2 text-sm text-red-600">
            <?php echo e($error); ?>

        </p>
    <?php endif; ?>
</div>
<?php /**PATH /home/jssvisa/public_html/panel.jssvisa.com/resources/views/components/input.blade.php ENDPATH**/ ?>